## quota 4.03

=== debian/changelog ===
quota (4.03-2) unstable; urgency=medium

  * With systemd only test after installation, the rest is handled by systemd.
    (Closes: #753939, #780977, #788963)
  * Bumped Standards-Version to 3.9.7, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 06 Mar 2016 15:57:40 +0100

quota (4.03-1) unstable; urgency=medium

  * Imported Upstream version 4.03
  * Updated watch file
  * Do not run quota service until local-fs.target has been fulfilled.
    Thanks to Simone Rossetto <simros85@gmail.com> (Closes: #793600)
  * Move tirpc library linking from LDFLAGS to LIBS. (Closes: #794190)
  * Changed source code format to version 3.0 (quilt) and debhelper compat
    level to 9.
  * Added autoreconf to build process.

 -- Michael Meskes <meskes@debian.org>  Mon, 11 Jan 2016 14:42:05 +0100

quota (4.02-1) unstable; urgency=medium

  * Imported Upstream version 4.02
  * Removed patches that were applied upstream.

 -- Michael Meskes <meskes@debian.org>  Fri, 27 Feb 2015 13:28:19 +0100

quota (4.01-8) unstable; urgency=medium

  * Use libtirpc include files to prevent a segfault due to incompatible
    structure definition.
    Thanks to Christian Seiler <christian@iwakd.de> (Closes: #777564)
  * Fixed typos in German translation. (Closes: #754181)
  * Bumped Standards-Version to 3.9.6, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 10 Feb 2015 10:48:57 +0100

quota (4.01-7) unstable; urgency=medium

  * Made quota work on systems without rpcbind installed by lessening the
    dependency in quotarpc.service. (Closes: #753046)
  * Correctly use dh_systemd debhelper commands as per #753108

 -- Michael Meskes <meskes@debian.org>  Sun, 06 Jul 2014 15:32:00 +0200

quota (4.01-6) unstable; urgency=medium

  * Make sure new scripts are executable. (Closes: #752067)

 -- Michael Meskes <meskes@debian.org>  Thu, 19 Jun 2014 11:21:58 +0200

quota (4.01-5) unstable; urgency=medium

  * Fixed output redirection.
  * Improve recognition of quota enabled filesystems. (Closes: #751900)

 -- Michael Meskes <meskes@debian.org>  Wed, 18 Jun 2014 12:15:20 +0200

quota (4.01-4) unstable; urgency=medium

  * Added upstream patch to clarify the term 'block' in the manpage.
    (Closes: #742696)
  * Also check for exports via files in /etc/exports.d.
    Thanks to Ash Berlin <ash.berlin@gmail.com> (Closes: #721070)
  * Stop depending on portmap which no longer exists. (Closes: #710581)
  * Bumped Standards-Version to 3.9.5, no changes needed.
  * Improve detection of quota enabled filesystems. (Closes: #743163)
  * Added service file for systemd.
  * Handle quota boot option in boot scripts.

 -- Michael Meskes <meskes@debian.org>  Fri, 13 Jun 2014 11:09:48 +0200

quota (4.01-3) unstable; urgency=low

  * Re-added changes from 4.00-4 that were lost somehow. (Closes: #696788)

 -- Michael Meskes <meskes@debian.org>  Thu, 27 Dec 2012 12:08:22 +0100

quota (4.01-2) unstable; urgency=low

  * Run warnquota for users and groups. (Closes: #694818)
  * Build package against libtirpc to make quota work with NFS over IPv6.
    (Closes: #693983)

 -- Michael Meskes <meskes@debian.org>  Sat, 08 Dec 2012 14:16:47 +0100

quota (4.01-1) unstable; urgency=low

  * Imported Upstream version 4.01 (Closes: #685356)
  * Adjusted patch for new upstream version.
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Use Debian build flags.

 -- Michael Meskes <meskes@debian.org>  Mon, 10 Sep 2012 12:51:40 +0200

quota (4.00-4) unstable; urgency=low

  * Added upstream patch to fix problem with editing of several users.
    (Closes: #670641)
  * Updated packages description which was pretty outdated.
    Thanks to Justin B Rye <jbr@edlug.org.uk> (Closes: #673396)

 -- Michael Meskes <meskes@debian.org>  Wed, 23 May 2012 18:35:45 +0200

quota (4.00-3) unstable; urgency=low

  * Port to libnl3 version 3.2.3+.
    Thanks to Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com> (Closes: #653096)
  * Fixed query for quota status. (LP: #861346)

 -- Michael Meskes <meskes@debian.org>  Wed, 28 Dec 2011 15:36:52 +0100

quota (4.00-2) unstable; urgency=low

  * Updated Dutch debconf translation. (Closes: #652351)
  * Suggest installing an MTA so warnquota can send out emails.
    (Closes: #645250)
  * When checking for quota enabled filesystems also check for not-enforced
    quota on XFS. (Closes: #648961)

 -- Michael Meskes <meskes@debian.org>  Thu, 22 Dec 2011 12:23:13 +0100

quota (4.00-1) unstable; urgency=low

  * New Upstream version 4.00
  * Port to libnl3.
    Thanks to Colin Watson <cjwatson@ubuntu.com> (Closes: #637117)
  * Fixed lintian override to use new format.
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 24 Aug 2011 10:46:31 +0200

quota (4.00~pre1-7) unstable; urgency=low

  * Updated Catalan debconf templates translation. (Closes: #609361)

 -- Michael Meskes <meskes@debian.org>  Sun, 09 Jan 2011 14:00:29 +0100

quota (4.00~pre1-6) unstable; urgency=low

  * Re-uploaded without dh_prep addition that was lost in -5 to make sure the
    package can migrate to squeeze.

 -- Michael Meskes <meskes@debian.org>  Thu, 18 Nov 2010 20:18:16 +0100

quota (4.00~pre1-5) unstable; urgency=low

  * Updated Danish debconf templates translation. (Closes: #601793)

 -- Michael Meskes <meskes@debian.org>  Wed, 03 Nov 2010 10:58:37 +0100

quota (4.00~pre1-4) unstable; urgency=low

  * Updated Brazilian Portuguese debconf templates translation. (Closes:
    #582970)
  * Added some patches from CVS:
    - fix quotaon to work properly with XFS filesystems
    - fix quotaon to print all informational messages only in verbose mode
    - fix repquota to get latest quota info header
    - fix some problems in manpages
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 28 Jul 2010 11:38:28 +0200

quota (4.00~pre1-3) unstable; urgency=low

  * Added two more patches from CVS:
    - Added support for GFS2 filesystem.

