=== debian/control ===
Source: quota
Section: admin
Priority: optional
Maintainer: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5), gettext, libwrap0-dev,
	       e2fslibs-dev, po-debconf (>= 0.5.0), libldap2-dev, libssl-dev,
	       quilt (>= 0.46-7), libnl-3-dev, libnl-genl-3-dev, libdbus-1-dev,
	       libtirpc-dev, dh-autoreconf
Standards-Version: 3.9.7
Homepage: http://sourceforge.net/projects/linuxquota

Package: quota
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, lsb-base (>= 3.2-13)
Suggests: libnet-ldap-perl, rpcbind,  default-mta | mail-transport-agent
Description: disk quota management tools
 This package provides the standard set of utilities for manipulating
 file system usage caps via the Linux Diskquota system. It can set hard
 or soft limits with adjustable grace periods on block or inode usage for
 users and groups. It allows users to check their quota status,
 integrates with LDAP, and supports quotas on remote machines via NFS.
