## quota 4.04

=== debian/changelog ===
quota (4.04-2ubuntu0.1) bionic; urgency=medium

  * d/p/lp-1774431-fix-Listen-on-a-TCP-socket.patch: avoid issues with TCP
    sockets hogging quota at 100% cpu (LP: #1774431 Can be dropped next
    release >4.04 as the patch is upstream already).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 04 Jun 2018 09:13:16 +0200

quota (4.04-2) unstable; urgency=medium

  * Bumped Standards-Version to 4.1.3, no changes needed.
  * Prevent quotacheck from running into an endless loop.
    Thanks to Christoph Biedl <debian.axhn@manchmal.in-ulm.de> (Closes: #888586)

 -- Michael Meskes <meskes@debian.org>  Thu, 01 Feb 2018 12:53:43 +0100

quota (4.04-1) unstable; urgency=medium

  * Switch to debhelper 11
  * Bumped Standards-Version to 4.1.2, no changes needed.
  * Added hardening options.
  * Updated watch file.
  * New upstream version 4.04

 -- Michael Meskes <meskes@debian.org>  Sat, 30 Dec 2017 12:27:36 +0100

quota (4.03-3) unstable; urgency=medium

  * Removed spurious build dep on openssl. (Closes: #854865)
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Fix FTCBFS while cross building by letting dh_auto_configure pass --host to
    ./configure and determining CFLAGS_DEF based on the host rather than build
    arch.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #843501)

 -- Michael Meskes <meskes@debian.org>  Mon, 01 May 2017 14:00:03 +0200

quota (2.00-2) unstable; urgency=high

  * based upon 2.00-pre10 release
  * added some typos
  * fixed init.d quoting bug (closes: #67235, #71318)

 -- Michael Meskes <meskes@debian.org>  Sun, 17 Sep 2000 18:10:50 -0700
