=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: quota
 Section: admin
 Priority: optional
-Maintainer: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5), gettext, libwrap0-dev,
-	       e2fslibs-dev, po-debconf (>= 0.5.0), libldap2-dev, libssl-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Meskes <meskes@debian.org>
+Build-Depends: debhelper (>= 11), gettext, libwrap0-dev,
+	       e2fslibs-dev, po-debconf (>= 0.5.0), libldap2-dev,
 	       quilt (>= 0.46-7), libnl-3-dev, libnl-genl-3-dev, libdbus-1-dev,
-	       libtirpc-dev, dh-autoreconf
-Standards-Version: 3.9.7
+	       libtirpc-dev
+Standards-Version: 4.1.3
 Homepage: http://sourceforge.net/projects/linuxquota
 
 Package: quota
