## quota 4.05

=== debian/changelog ===
quota (4.05-1) unstable; urgency=medium

  * New upstream version 4.05
  * Bumped Standards-Version to 4.3.0, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 09 Apr 2019 10:12:04 +0200
