=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: quota
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Meskes <meskes@debian.org>
+Maintainer: Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 11), gettext, libwrap0-dev,
 	       e2fslibs-dev, po-debconf (>= 0.5.0), libldap2-dev,
 	       quilt (>= 0.46-7), libnl-3-dev, libnl-genl-3-dev, libdbus-1-dev,
 	       libtirpc-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://sourceforge.net/projects/linuxquota
 
 Package: quota
@@ -20,4 +19,3 @@
  or soft limits with adjustable grace periods on block or inode usage for
  users and groups. It allows users to check their quota status,
  integrates with LDAP, and supports quotas on remote machines via NFS.
-
