=== debian/rules ===
--- 
+++ 
@@ -5,21 +5,24 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS_DEF = $(shell dpkg-buildflags --get CFLAGS)
-CFLAGS_DEF += -D_GNU_SOURCE -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
 
-CPPFLAGS_DEF = $(shell dpkg-buildflags --get CPPFLAGS)
+include /usr/share/dpkg/buildflags.mk
 
-LDFLAGS_DEF = $(shell dpkg-buildflags --get LDFLAGS)
+include /usr/share/dpkg/architecture.mk
+
+CFLAGS += -D_GNU_SOURCE -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/tirpc
+ifeq ($(DEB_HOST_ARCH),powerpc)
+CFLAGS += -D__BYTEORDER_HAS_U64__
+endif
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	dh_autoreconf
 	# Add here commands to configure the package.
-	( [ "`dpkg --print-architecture`" = "powerpc" ] && CFLAGS_DEF += -D__BYTEORDER_HAS_U64__; \
-	  export CFLAGS="$(CFLAGS_DEF) -I/usr/include/tirpc" CPPFLAGS="$(CPPFLAGS_DEF)" LDFLAGS="$(LDFLAGS_DEF)" LIBS="-ltirpc"; \
- 	  ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --enable-rpcsetquota=yes)
+	LIBS="-ltirpc"; dh_auto_configure -- --enable-rpcsetquota=yes
 
 	touch configure-stamp
 
@@ -28,7 +31,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) CFLAGS="$(CFLAGS_DEF) -I/usr/include/tirpc" 
+	$(MAKE)
 
 	touch build-stamp
 
@@ -73,12 +76,10 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-	dh_systemd_enable quota.service
-	dh_systemd_enable --name=quotarpc quotarpc.service
+	dh_installsystemd quota.service
+	dh_installsystemd --name=quotarpc quotarpc.service
 	dh_installinit --no-start
 	dh_installinit --name=quotarpc
-	dh_systemd_start --no-start 
-	dh_systemd_start --name=quotarpc
 	#
 	# dh_installinit cannot be configured to not install the defaults
 	# file for quotarpc, so we have to manually delete it
