## quota 4.06

=== debian/changelog ===
quota (4.06-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:05 +0100

quota (4.06-1build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 18:08:22 -0400

quota (4.06-1) unstable; urgency=medium

  * New upstream version 4.06
  * Bumped Standards-Version, no changes needed.
  * Fixed some lintian warnings.

 -- Michael Meskes <meskes@debian.org>  Tue, 09 Feb 2021 13:22:57 +0100
