=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: quota
 Section: admin
 Priority: optional
-Maintainer: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 11), gettext, libwrap0-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Meskes <meskes@debian.org>
+Build-Depends: debhelper-compat (= 13), gettext, libwrap0-dev,
 	       e2fslibs-dev, po-debconf (>= 0.5.0), libldap2-dev,
 	       quilt (>= 0.46-7), libnl-3-dev, libnl-genl-3-dev, libdbus-1-dev,
 	       libtirpc-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: http://sourceforge.net/projects/linuxquota
 
 Package: quota
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, lsb-base (>= 3.2-13)
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: libnet-ldap-perl, rpcbind,  default-mta | mail-transport-agent
 Description: disk quota management tools
  This package provides the standard set of utilities for manipulating
