## quota 4.09

=== debian/changelog ===
quota (4.09-1) unstable; urgency=medium

  * New upstream version 4.09
  * Removed (build)dependencies on obsolete packages
  * Added Romanian debconf translation.
    Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
    (Closes: #1033446)
  * Added build-arch and build-indep targets. (Closes: #1082038)

 -- Michael Meskes <meskes@debian.org>  Sun, 03 Nov 2024 19:21:10 +0100

quota (4.06-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install binary programs into /usr/sbin. (Closes: #1059189)
  * Update paths to /usr/sbin in (init) scripts, systemd service.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Apr 2024 01:36:54 +0200
