=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,9 @@
 
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure
 	dh_testdir
 
@@ -56,10 +58,6 @@
 
 	# Add here commands to install the package into debian/quota.
 	$(MAKE) DESTDIR=`pwd`/debian/quota install
-
-	-mv `pwd`/debian/quota/usr/sbin/quotacheck `pwd`/debian/quota/sbin
-	-mv `pwd`/debian/quota/usr/sbin/quotaon `pwd`/debian/quota/sbin
-	-mv `pwd`/debian/quota/usr/sbin/quotaoff `pwd`/debian/quota/sbin
 
 # Build architecture-independent files here.
 binary-indep: build install
