## quota acct

=== acct-util/Makefile ===
#
# Makefile for making lastcomm and accton
#
# <mvw@hacktic.nl> Aug 18 1993
# <jiivee@hut.fi>  Jub 4 1994

CC = gcc
#CFLAGS = -g
CFLAGS = -O6 -m486 -Wall -fomit-frame-pointer
LDFLAGS = -N -s

PROGS = accton lastcomm accttrim
INSTALL = install

USR_SUPERBIN = /usr/sbin
MANDIR = /usr/man
MAN1 = $(MANDIR)/man1
MAN8 = $(MANDIR)/man8

all: $(PROGS)

lastcomm: lastcomm.c pathnames.h
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ lastcomm.c

accton: accton.c pathnames.h
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ accton.c

accttrim: accttrim.c pathnames.h
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ accttrim.c

clean:
	rm -f *.o core core.* $(PROGS)

clobber: clean
	rm -f $(PROGS)

install: all
	$(INSTALL) -o root -g bin -m 555 lastcomm $(USR_SUPERBIN)
	$(INSTALL) -o root -g bin -m 500 accton $(USR_SUPERBIN)
	$(INSTALL) -o root -g bin -m 500 accttrim $(USR_SUPERBIN)
	$(INSTALL) -m 444 lastcomm.1 $(MAN1)
	$(INSTALL) -m 444 accton.8 $(MAN8)
	$(INSTALL) -m 444 accttrim.8 $(MAN8)
